/// A C Pointer to an undefined structure.
///
/// A lot of C libraries return a pointer to an undefined structure.
/// This is easily wrapped as an empty enum. This keeps users from being
/// able to create an instance of the value.
#[macro_export]
macro_rules! c_ptr
{
   {
      $name: ident
   } =>
   {
      pub enum $name {}
   };
}
