/// Defines a C style structure.
#[macro_export]
macro_rules! c_struct
{
   {
      $cname: ident
      {
         $(#[$attr: meta])*
         $($name: ident: $type: ty);*;
      }
   } =>
   {
      #[repr(C)]
      pub struct $cname
      {
         $(#[$attr])*
         $(pub $name: $type),+,
      }
   };
}
